it.csi.mddtools.guigen

## Interface MsgBoxPanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Panel

      public interface MsgBoxPanel
      extends Panel

  A representation of the model object 'Msg Box Panel'.

  The following features are supported:

  - `Message Severity`
  - `Text Messages`
  - `Show Std Legend`
  See Also:
    `GuigenPackage.getMsgBoxPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageSeverity` | `getMessageSeverity()` Returns the value of the 'Message Severity' attribute.
    `org.eclipse.emf.common.util.EList<PlainText>` | `getTextMessages()` Returns the value of the 'Text Messages' containment reference list.
    `boolean` | `isShowStdLegend()` Returns the value of the 'Show Std Legend' attribute
    `void` | `setMessageSeverity(MessageSeverity value)` Sets the value of the '`Message Severity`' attribute
    `void` | `setShowStdLegend(boolean value)` Sets the value of the '`Show Std Legend`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMessageSeverity

          MessageSeverity getMessageSeverity()

      Returns the value of the 'Message Severity' attribute. The literals are from the enumeration `MessageSeverity`.

      If the meaning of the 'Message Severity' attribute isn't clear, there really should be more of a description here...

      Tipologia del messaggio (utilizzato solo se il pannello è contenuto in un DialogPanel.
      Returns:
        the value of the 'Message Severity' attribute.
      See Also:
        `MessageSeverity`, `setMessageSeverity(MessageSeverity)`, `GuigenPackage.getMsgBoxPanel_MessageSeverity()`

    - #### setMessageSeverity

          void setMessageSeverity(MessageSeverity value)

      Sets the value of the '`Message Severity`' attribute.
      Parameters:
        `value` - the new value of the 'Message Severity' attribute.
      See Also:
        `MessageSeverity`, `getMessageSeverity()`

    - #### getTextMessages

          org.eclipse.emf.common.util.EList<PlainText> getTextMessages()

      Returns the value of the 'Text Messages' containment reference list. The list contents are of type `PlainText`.

      If the meaning of the 'Text Messages' containment reference list isn't clear, there really should be more of a description here...

      contengono il testo vero e proprio
      Returns:
        the value of the 'Text Messages' containment reference list.
      See Also:
        `GuigenPackage.getMsgBoxPanel_TextMessages()`

    - #### isShowStdLegend

          boolean isShowStdLegend()

      Returns the value of the 'Show Std Legend' attribute. se impostato a itrue fa si che nel pannello siano mostrate le voci della legenda standard (es. indicazione del significato del '*'), prima di tutti i testi custom. Il valore di default è false
      Returns:
        the value of the 'Show Std Legend' attribute.
      See Also:
        `setShowStdLegend(boolean)`, `GuigenPackage.getMsgBoxPanel_ShowStdLegend()`

    - #### setShowStdLegend

          void setShowStdLegend(boolean value)

      Sets the value of the '`Show Std Legend`' attribute.
      Parameters:
        `value` - the new value of the 'Show Std Legend' attribute.
      See Also:
        `isShowStdLegend()`